## Struct user_details

zeep::http::user_details — simple storage class for user details, returned by user_service

## Synopsis

    // In header: <zeep/http/security.hpp>

    struct user_details {
      // construct/copy/destruct
      user_details();
      user_details(const std::string &, const std::string &,
                   const std::set< std::string > &);

      // public data members
      std::string username;
      std::string password;
      std::set< std::string > roles;
    };

## Description

The user_details struct contains all the information needed to allow access to a resource based on username. The password is the encrypted password.

### `user_details` public construct/copy/destruct

1.     user_details();

2.     user_details(const std::string & username, const std::string & password,
                    const std::set< std::string > & roles);